## sed 4.1.2-p2168530

=== debian/changelog ===
sed (4.1.2-p2168530) UNRELEASED; urgency=medium

  [ SCEL Developer ]
  *  Build for SCEL u5.0.0.0 arm64
  *  Initial Build

  [ BDK Developer ]
  * BDK Release.

 -- BDK Developer <Sony>  Wed, 12 Jun 2024 11:19:26 +0900

sed (4.1.2) unstable; urgency=low
    
    * USCEL initial build

 -- SCEL Developer < >  Wed,  05 Feb 2014 18:10:30 +0900
