=== debian/control ===
Source: sed
Section: base
Priority: required
Maintainer: SCEL Developer <Sony>
Standards-Version: 3.6.1
Build-Depends: texinfo, gettext

Package: sed
Architecture: any
Essential: yes
Pre-Depends: ${shlibs:Pre-Depends}
Replaces: ssed (<< 3.59)
Description: The GNU sed stream editor
 sed reads the specified files or the standard input if no
 files are specified, makes editing changes according to a
 list of commands, and writes the results to the standard
 output.
