## sed 4.2.1

=== debian/changelog ===
sed (4.2.1-7) unstable; urgency=low

  * Bump to Standards-Version 3.8.4.
  * Honor DEB_BUILD_OPTIONS=nocheck.

 -- Clint Adams <schizo@debian.org>  Sat, 17 Apr 2010 15:50:07 -0400

sed (4.2.1-6) unstable; urgency=low

  * 5d7d2b1: sed/execute.c (open_next_file): If
    is_selinux_enabled returns -1, treat it as "disabled".
    closes: #559539.

 -- Clint Adams <schizo@debian.org>  Mon, 07 Dec 2009 11:43:45 -0500

sed (4.2.1-5) unstable; urgency=low

  * Switch to 3.0 (quilt) source format.
  * 896b696: fix ordering of chmod/chown operations

 -- Clint Adams <schizo@debian.org>  Sun, 06 Dec 2009 11:17:54 -0500

sed (4.2.1-4) unstable; urgency=medium

  * Bump to Standards-Version 3.8.3.
  * Apply patch from WANG Yunfeng to treat incomplete multibyte
    sequences as a single-byte character.  closes: #551075.
  * Add dependency on dpkg (>= 1.15.4) | install-info.

 -- Clint Adams <schizo@debian.org>  Tue, 27 Oct 2009 12:31:21 -0400

sed (4.2.1-3) unstable; urgency=medium

  * Make dependencies Pre-Depends again.  closes: #539580.

 -- Clint Adams <schizo@debian.org>  Sun, 02 Aug 2009 11:24:14 -0400

sed (4.2.1-2) unstable; urgency=low

  [ Cyril Brulebois ]
  * Make libselinux-dev only needed on Linux architectures.

  [ Clint Adams ]
  * Drop old Replaces on ssed and downgrade Pre-Depends to normal
    Depends.

 -- Clint Adams <schizo@debian.org>  Sat, 01 Aug 2009 01:04:04 -0400

sed (4.2.1-1) unstable; urgency=low

  * New upstream version.
  * Imported Upstream version 4.2.1
  * Bump to Standards-Version 3.8.2.
  * Add build dependency on libselinux-dev.
  * Remove postinst and prerm.

 -- Clint Adams <schizo@debian.org>  Wed, 22 Jul 2009 18:11:39 -0500

sed (4.2-1) unstable; urgency=low

  * New upstream version.
    - Man page now has q and Q commands.  closes: #354689.
    - Fixes backslash+UuLlE modifiers in s///g with Cyrillic.
      closes: #500473.
  * Bump to Standards-Version 3.8.1.
  * (debian/control): Add Vcs-Git and Vcs-Browser and Homepage fields.
  * Remove obsolete preinst.

 -- Clint Adams <schizo@debian.org>  Wed, 06 May 2009 21:36:11 -0400

sed (4.1.5-8) unstable; urgency=low

  * Remove brace expansion from rules file.  closes: #477586.
  * Patch f11ba2ae from upstream: fix bug with \& in POSIX mode,
    reported by Samuel Colin.  closes: #477670.

 -- Clint Adams <schizo@debian.org>  Thu, 24 Apr 2008 10:35:59 -0400

sed (4.1.5-7) unstable; urgency=medium

  * Patch e022 from upstream: Don't set text if the pending_text is
    initialized but empty. Don't print text if it is NULL.
    closes: #296862.

 -- Clint Adams <schizo@debian.org>  Fri, 11 Apr 2008 10:29:51 -0400

sed (4.1.5-6) unstable; urgency=low

  * Bump to Standards-Version 3.7.3.

 -- Clint Adams <schizo@debian.org>  Sun, 02 Mar 2008 21:52:52 -0500

sed (4.1.5-5) unstable; urgency=low

  * Invoke make in ways friendly to parallel builds.
  * Only invoke $(MAKE) distclean if Makefile exists.

 -- Clint Adams <schizo@debian.org>  Sun, 02 Dec 2007 17:56:46 -0500

sed (4.1.5-4) unstable; urgency=low

  * Patch from arno to fix nplurals in hu.po and force rebuild
    of all .gmo files.  closes: #442728.
  * Set plural=n != 1; in hu.po
  * Remove superfluous plural translation in id.po.
  * Remove superfluous plural translation in ja.po.
  * Remove superfluous plural translation in tr.po.

 -- Clint Adams <schizo@debian.org>  Sat, 29 Sep 2007 10:45:55 -0400

sed (4.1.5-3) unstable; urgency=low

  * Actually avoid stripping when 'nostrip' is in DEB_BUILD_OPTIONS.
    closes: #438012.
  * Updated Dutch translation from Benno Schulenberg.
    closes: #427364.

 -- Clint Adams <schizo@debian.org>  Wed, 15 Aug 2007 11:39:40 -0400

sed (4.1.5-2) unstable; urgency=low

  * Updated Simplified Chinese translation from LI Daobing.
    closes: #415143.
  * Apply patch from Justin Pryzby to handle deregistration and
    reregistration of info docs in prerm and postrm.
    closes: #374465.
  * Various maintscript cleanups, including removal of /usr/doc
    transition block.
  * Apply sed--stable--4.1--patch-25 (fix '/foo/i\').
    closes: #408522.
  * Bump Standards-Version to 3.7.2.

 -- Clint Adams <schizo@debian.org>  Wed, 16 May 2007 21:41:31 -0400

sed (4.1.5-1) unstable; urgency=low

  * New upstream version.

 -- Clint Adams <schizo@debian.org>  Sun, 30 Apr 2006 15:52:20 -0400

sed (4.1.4-7) unstable; urgency=low

  * Drop build-conflicts, and add --enable-html to configure flags.

 -- Clint Adams <schizo@debian.org>  Tue,  4 Apr 2006 20:16:45 -0400

sed (4.1.4-6) unstable; urgency=low

  * Add build-conflicts against texi2html.  closes: #360319.

 -- Clint Adams <schizo@debian.org>  Tue,  4 Apr 2006 11:15:13 -0400

sed (4.1.4-5) unstable; urgency=low

  * Update to bonzini@gnu.org--2004b/sed--stable--4.1--patch-58.
    - "fix 0~2, signaled by Guglielmo Bondioni".  closes: #273008.
    - fixes incorrect bracket expression parsing.  closes: #304946.
    - fixes segfault with s/(.{30000})/\1/ .  closes: #340659.

 -- Clint Adams <schizo@debian.org>  Fri,  9 Dec 2005 19:44:02 -0500

sed (4.1.4-4) unstable; urgency=low

  * Change man page title to be "less awkward".  closes: #326944.

 -- Clint Adams <schizo@debian.org>  Tue,  6 Sep 2005 19:01:05 -0400

sed (4.1.4-3) unstable; urgency=low

  * Apply patch from Jens Seidel with de.po fixes.  closes: #313912.
  * Fix line termination in and gzip sedfaq.txt.  closes: #316609.
  * Ship md5sums.  closes: #325632.

 -- Clint Adams <schizo@debian.org>  Wed, 31 Aug 2005 12:54:56 -0400

sed (4.1.4-2) unstable; urgency=medium

  * Patch from upstream to fix off-by-one error message error.
    closes: #294339.

 -- Clint Adams <schizo@debian.org>  Thu, 10 Feb 2005 11:56:07 -0500

sed (4.1.4-1) unstable; urgency=low

  * New upstream release.

 -- Clint Adams <schizo@debian.org>  Fri, 28 Jan 2005 09:23:34 -0500

sed (4.1.2-9) unstable; urgency=medium

  * Patch from Satoru SATOH to run 'make check' with LC_ALL=C
    instead of LANG=C.  again closes: #281713.


