=== debian/control ===
Source: sed
Section: utils
Priority: required
Maintainer: Clint Adams <schizo@debian.org>
Standards-Version: 3.8.4
Build-Depends: texinfo, gettext, libselinux-dev [!kfreebsd-amd64 !kfreebsd-i386 !hurd-i386]
Vcs-Git: git://git.debian.org/git/private/schizo/sed.git
Vcs-Browser: http://git.debian.org/?p=private/schizo/sed.git;a=summary
Homepage: http://www.gnu.org/software/sed/

Package: sed
Architecture: any
Essential: yes
Pre-Depends: ${shlibs:Pre-Depends}
Depends: dpkg (>= 1.15.4) | install-info
Description: The GNU sed stream editor
 sed reads the specified files or the standard input if no
 files are specified, makes editing changes according to a
 list of commands, and writes the results to the standard
 output.
