=== debian/rules ===
--- 
+++ 
@@ -29,19 +29,19 @@
 
 
 all build: Makefile
-	make INSTALL_PROGRAM="$(INSTALL_PROGRAM)"
+	$(MAKE) INSTALL_PROGRAM="$(INSTALL_PROGRAM)"
 ifeq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
-	LANG=C make check
+ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
+	LC_ALL=C $(MAKE) check
+endif
 endif
 	touch build
 
 clean:
 	rm -f debian/substvars debian/files build config.log config.cache 
-	rm -f doc/sed.info*
-#	rm -f po/ca.gmo
 	rm -rf debian/tmp autom4te.cache
 	find . -type f -a \( -name \#\*\# -o -name .\*\~ -o -name \*\~ -o -name DEADJOE -o -name \*.orig -o -name \*.rej -o -name \*.bak -o -name .\*.orig -o -name .\*.rej -o -name .SUMS -o -name TAGS -o -name core -o \( -path \*/.deps/\* -a -name \*.P \) \) -exec rm -f {} \;
-	-make distclean
+	test ! -f Makefile || $(MAKE) distclean
 
 Makefile: Makefile.in
 	CFLAGS="$(CFLAGS)" ./configure --prefix=/usr \
@@ -49,6 +49,7 @@
 			--datadir=/usr/share \
 			--mandir=/usr/share/man \
 			--infodir=/usr/share/info \
+			--enable-html \
 			--without-included-regex $(CONFARGS)
 
 
@@ -57,14 +58,18 @@
 binary-indep:
 
 binary-arch: build checkroot
-	-rm -rf debian/tmp debian/{files,substvars}
+	-rm -rf debian/tmp debian/files debian/substvars
 	install -d -o root -g root -m 755 $(tmpdir)$(docdir)/examples
 
 # Install sed
-	make DESTDIR=`pwd`/debian/tmp install
+	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp install
+ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
 	strip --remove-section=.comment --remove-section=.note \
 		--strip-unneeded debian/tmp/bin/sed
+endif
 	rm -f $(tmpdir)/usr/share/info/dir*
+#	mv $(tmpdir)/usr/share/doc/sed-4.1.5 $(tmpdir)$(docdir)
+#	mv $(tmpdir)/usr/share/doc/sed.html $(tmpdir)$(docdir)/
 	gzip -9 $(tmpdir)/usr/share/man/man1/*
 	gzip -9 $(tmpdir)/usr/share/info/sed.info*
 
@@ -74,17 +79,16 @@
 	install -p -o root -g root -m 644 ChangeLog $(tmpdir)$(docdir)/changelog
 	install -p -o root -g root -m 644 debian/changelog \
 		$(tmpdir)$(docdir)/changelog.Debian
+	install -p -o root -g root -m 644 debian/my/sedfaq.txt $(tmpdir)$(docdir)
 	# We expect an error here for the examples-subdir
 	-gzip -9 $(tmpdir)$(docdir)/*
 	install -p -o root -g root -m 644 debian/copyright $(tmpdir)$(docdir)
 	install -p -o root -g root -m 644 testsuite/dc.sed $(tmpdir)$(docdir)/examples/
-	install -p -o root -g root -m 644 debian/my/sedfaq.txt $(tmpdir)$(docdir)
 
 # Install Debian-specific stuff
 	install -d -o root -g root -m 755 $(tmpdir)/DEBIAN
-	install -p -o root -g root -m 755 debian/preinst $(tmpdir)/DEBIAN
-	install -p -o root -g root -m 755 debian/postinst $(tmpdir)/DEBIAN
-	install -p -o root -g root -m 755 debian/prerm $(tmpdir)/DEBIAN
+
+	cd debian/tmp && find * -type f ! -regex '^DEBIAN/.*' -print0 | xargs -r0 md5sum > DEBIAN/md5sums
 
 # Build the packgae
 	dpkg-shlibdeps -dPre-Depends $(tmpdir)/bin/sed
@@ -93,3 +97,4 @@
 
 checkroot:
 	test root = "`whoami`"
+
