## sed 4.2.2

=== debian/changelog ===
sed (4.2.2-4ubuntu1) trusty; urgency=medium

  * Resynchronise with Debian.  Remaining changes:
    - Mark sed Multi-Arch: foreign.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 13 Feb 2014 11:32:23 +0000

sed (4.2.2-4) unstable; urgency=medium

  * Add Samuel Thibault's backport of upstream patch to define
    PATH_MAX as 200 on the Hurd.  closes: #725218.

 -- Clint Adams <clint@debian.org>  Sun, 09 Feb 2014 12:40:46 -0500

sed (4.2.2-3) unstable; urgency=medium

  * Patch from Colin Watson to update config.{guess,sub} at build
    time.  closes: #732073.
  * Bump to Standards-Version 3.9.5.

 -- Clint Adams <clint@debian.org>  Fri, 13 Dec 2013 23:40:41 -0500

sed (4.2.2-2ubuntu2) trusty; urgency=low

  * Update config.guess and config.sub at build time.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 13 Dec 2013 15:35:40 +0000

sed (4.2.2-2ubuntu1) trusty; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Mark sed Multi-Arch: foreign.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 21 Oct 2013 14:06:52 +0100

sed (4.2.2-2) unstable; urgency=low

  * Patch from Colin Watson to use appropriate strip program
    when cross-building.  closes: #695315.

 -- Clint Adams <clint@debian.org>  Sat, 27 Jul 2013 21:58:58 -0400

sed (4.2.2-1ubuntu1) saucy; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Use correct strip program when cross-building.
    - Mark sed Multi-Arch: foreign.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 09 May 2013 15:19:51 +0100

sed (4.2.2-1) unstable; urgency=low

  * New upstream version.  closes: #697829.
  * Bump to Standards-Version 3.9.4.

 -- Clint Adams <clint@debian.org>  Thu, 09 May 2013 01:05:30 -0400

sed (4.2.1-10ubuntu2) raring; urgency=low

  * Use correct strip program when cross-building.
  * Mark sed Multi-Arch: foreign (closes: #693872).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 06 Dec 2012 23:04:02 +0000

sed (4.2.1-10ubuntu1) quantal; urgency=low

  * Update config.guess,sub for aarch64

 -- Wookey <wookey@wookware.org>  Mon, 01 Oct 2012 12:56:39 +0100

sed (4.2.1-10) unstable; urgency=low

  * Bump to Standards-Version 3.9.2.
  * Use dpkg-buildflags.  closes: #653718.
  * Add build-arch and build-indep targets.
  * Change selinux build-dependency to [linux-any].

 -- Clint Adams <clint@debian.org>  Fri, 30 Dec 2011 12:21:54 -0500

sed (4.2.1-9) unstable; urgency=low

  * doc/sed-in.texi: Fix double negation in comment, escape
    file names.
  * doc/sed.x: Order commands alphabetically.

 -- Clint Adams <clint@debian.org>  Fri, 11 Feb 2011 16:55:05 -0500

sed (4.2.1-8) unstable; urgency=low

  * Bump to Standards-Version 3.9.1.

 -- Clint Adams <clint@gnu.org>  Mon, 15 Nov 2010 21:05:27 -0500
