=== debian/control ===
Source: sed
Section: utils
Priority: required
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Clint Adams <clint@debian.org>
Standards-Version: 3.9.5
Build-Depends: texinfo, gettext, libselinux-dev [linux-any], autotools-dev
Vcs-Git: git://git.debian.org/users/clint/sed.git
Vcs-Browser: http://git.debian.org/?p=users/clint/sed.git;a=summary
Homepage: http://www.gnu.org/software/sed/

Package: sed
Architecture: any
Multi-Arch: foreign
Essential: yes
Pre-Depends: ${shlibs:Pre-Depends}
Depends: dpkg (>= 1.15.4) | install-info
Description: The GNU sed stream editor
 sed reads the specified files or the standard input if no
 files are specified, makes editing changes according to a
 list of commands, and writes the results to the standard
 output.
