=== debian/watch ===
version=2

ftp://ftp.gnu.org/gnu/sed/sed-(.*)\.tar\.gz
