## sed 4.5

=== debian/changelog ===
sed (4.5-1) unstable; urgency=medium

  * New upstream version 4.5
  * Add autopkgtest.

 -- Clint Adams <clint@debian.org>  Wed, 04 Jul 2018 13:13:19 -0400
