=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: utils
 Priority: required
 Maintainer: Clint Adams <clint@debian.org>
-Standards-Version: 4.1.3
-Build-Depends: texinfo, gettext, libselinux-dev [linux-any], debhelper (>= 10), dh-autoreconf, help2man
+Standards-Version: 4.1.5
+Build-Depends: texinfo, gettext, libselinux-dev [linux-any], debhelper (>= 10), help2man
 Vcs-Git: https://salsa.debian.org/debian/sed.git
 Vcs-Browser: https://salsa.debian.org/debian/sed
 Homepage: https://www.gnu.org/software/sed/
