## sed 4.7

=== debian/changelog ===
sed (4.7-1) unstable; urgency=medium

  * New upstream version.  closes: #917065.

 -- Clint Adams <clint@debian.org>  Sat, 22 Dec 2018 09:24:04 -0500

sed (4.5-2) unstable; urgency=medium

  * Enable ACL support, thanks to Sven Joachim.  closes: #695157.
  * Set packager to Debian.

 -- Clint Adams <clint@debian.org>  Wed, 17 Oct 2018 18:39:10 -0400
