=== debian/tests/control ===
Tests: sub
Depends: @
