## sed 4.8

=== debian/changelog ===
sed (4.8-1ubuntu2) jammy; urgency=high

  * No change rebuild for ppc64el baseline bump.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 25 Mar 2022 10:51:05 +0100

sed (4.8-1ubuntu1) jammy; urgency=medium

  * d/p/gnulib-ftbfs.patch: restore patch from 4.7-1ubuntu1 removing
    non-portable tests from gnulib testsuite (fixing failure on armhf)
    (LP: #1954348)

 -- Dave Jones <dave.jones@canonical.com>  Thu, 09 Dec 2021 22:26:14 +0000

sed (4.8-1) unstable; urgency=medium

  * New upstream version.

 -- Clint Adams <clint@debian.org>  Tue, 31 Aug 2021 08:55:13 -0400
