=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: sed
 Section: utils
 Priority: required
-Maintainer: Clint Adams <clint@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Clint Adams <clint@debian.org>
 Standards-Version: 4.2.1
 Build-Depends: texinfo, gettext, libselinux-dev [linux-any], debhelper (>= 10), help2man, libacl1-dev
 Vcs-Git: https://salsa.debian.org/debian/sed.git
