=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 	dh $@
 
 override_dh_auto_configure:
-	dh_auto_configure -- --exec-prefix=/ --enable-html --without-included-regex
+	dh_auto_configure -- --exec-prefix=/ --with-packager=Debian --without-included-regex
 
 override_dh_auto_build:
 	dh_auto_build -- HELP2MAN=/usr/bin/help2man
