=== debian/control ===
--- 
+++ 
@@ -3,8 +3,9 @@
 Priority: required
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Clint Adams <clint@debian.org>
-Standards-Version: 4.2.1
-Build-Depends: texinfo, gettext, libselinux-dev [linux-any], debhelper (>= 10), help2man, libacl1-dev
+Standards-Version: 4.6.2
+Build-Depends: texinfo <!nodoc>, gettext, libselinux-dev [linux-any], debhelper-compat (= 13), libacl1-dev
+Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debian/sed.git
 Vcs-Browser: https://salsa.debian.org/debian/sed
 Homepage: https://www.gnu.org/software/sed/
@@ -20,4 +21,3 @@
  files are specified, makes editing changes according to a
  list of commands, and writes the results to the standard
  output.
-
