=== debian/rules ===
#! /usr/bin/make -f

ifneq ($(filter nodoc,$(DEB_BUILD_PROFILES)),)
MAKEINFO = true
export MAKEINFO
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --with-packager=Debian --without-included-regex

ifneq ($(filter nodoc,$(DEB_BUILD_PROFILES)),)
execute_after_dh_auto_install:
	rmdir debian/sed/usr/share/info
endif

override_dh_shlibdeps:
	dh_shlibdeps -- -dPre-Depends

override_dh_auto_clean:
	test ! -f Makefile || dh_auto_clean
