=== debian/watch ===
version=4
opts="pgpsigurlmangle=s%$%.sig%" https://ftp.gnu.org/gnu/sed/sed-(.*)\.tar\.[gx]z debian uupdate
